diff --git a/doc/src/sgml/ref/vacuum.sgml b/doc/src/sgml/ref/vacuum.sgml
index 21ab57d880..ab8a924862 100644
--- a/doc/src/sgml/ref/vacuum.sgml
+++ b/doc/src/sgml/ref/vacuum.sgml
@@ -160,10 +160,9 @@ VACUUM [ FULL ] [ FREEZE ] [ VERBOSE ] [ ANALYZE ] [ <replaceable class="paramet
       skipped except when performing an aggressive vacuum.  Furthermore,
       except when performing an aggressive vacuum, some pages may be skipped
       in order to avoid waiting for other sessions to finish using them.
-      This option disables all page-skipping behavior, and is intended to
-      be used only when the contents of the visibility map are
-      suspect, which should happen only if there is a hardware or software
-      issue causing database corruption.
+      This option disables page-skipping of unfrozen pages and is intended
+      for use when the user wishes to aggressively avoid transaction
+      wraparound. 
      </para>
     </listitem>
    </varlistentry>
diff --git a/doc/src/sgml/ref/vacuumdb.sgml b/doc/src/sgml/ref/vacuumdb.sgml
index a90fc9322f..f2e4a46d0d 100644
--- a/doc/src/sgml/ref/vacuumdb.sgml
+++ b/doc/src/sgml/ref/vacuumdb.sgml
@@ -109,7 +109,8 @@ PostgreSQL documentation
       <term><option>--disable-page-skipping</option></term>
       <listitem>
        <para>
-        Disable skipping pages based on the contents of the visibility map.
+        Disables skipping of unfrozen pages to more aggressively avoid
+        transaction wraparound.
        </para>
        <note>
         <para>
